### Constructor

# St ThemeContext new

#### Declaration [src]

    StThemeContext*
    st_theme_context_new (
      void
    )

#### Description [src]

Create a new theme context not associated with any `ClutterStage`. This can be useful in testing scenarios, or if using StThemeContext with something other than `ClutterActor` objects, but you generally should use `st_theme_context_get_for_stage()` instead.

#### Return value

Type: `StThemeContext`

A new `StThemeContext`.

The caller of the function takes ownership of the data, and is responsible for freeing it.